Bug 1005997 - UberFire: placeManager is create a duplicate instance of a Screen no matter if the instance already existed
UberFire: placeManager is create a duplicate instance of a Screen no matter i...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Alexandre Porcelli
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 15:06 EDT by Mauricio Salatino
Modified: 2014-08-06 16:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Salatino 2013-09-09 15:06:11 EDT
Description of problem:
The place manager is create a new instance of an screen that already exist no matter if the DefaultPlaceRequest is the same that it was used before. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Alexandre Porcelli 2013-09-10 15:00:46 EDT
Bug fixed on master (waiting input from errai team to push it to 0.3.x branch)

https://github.com/droolsjbpm/uberfire/commit/6ca56af11
Comment 3 Alexandre Porcelli 2013-09-11 12:29:36 EDT
Already available on 0.3.x branch

https://github.com/droolsjbpm/uberfire/commit/11d52a7
Comment 4 Marek Baluch 2013-10-25 02:38:16 EDT
the rather large changes are present.

Note You need to log in before you can comment on or make changes to this bug.